@import "helpers";

:host {
  display: block;
  background: $white;

  &:not(:last-child) {
    margin-bottom: 20px;
  }
}
.quiz-item {
  &__title {
    padding: 10px 16px;

    &:first-letter {
      text-transform: uppercase;
    }

    &.is-right {
      background: $green;
      color: $white;
    }
    &.is-wrong {
      background: $red;
      color: $white;
    }
  }
  &__answer {
    &-value {
      display: flex;
      align-items: center;
      height: 40px;
      border-bottom: 1px solid $casper;

      &.is-wrong {
        background: $red;
      }

      &.is-right {
        background: $green;
      }

    }
    &-id {
      display: flex;
      align-items: center;
      justify-content: center;
      height: 100%;
      width: 30px;
      margin-right: 10px;
      padding: 6px;
      border-right: 1px solid $casper;
      border-radius: 0 6px 6px 0;
    }
  }
}
